umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Enumerations
associationwidgetpopupmenu.cpp File Reference
`#include "associationwidgetpopupmenu.h"`
`#include "assocrules.h"`
`#include "associationline.h"`
`#include "associationwidget.h"`
`#include "debug_utils.h"`
`#include <KLocalizedString>`

## Enumerations
enum class | LocalTriggerType { AnchorSelected , AssociationSelected , CollaborationMessage , AttributeAssociation , FullAssociation }

## Enumeration Type Documentation

## ◆ LocalTriggerType

enum class LocalTriggerType
| strong

Enumerator
AnchorSelected |
AssociationSelected |
CollaborationMessage |
AttributeAssociation |
FullAssociation |